イラレのバージョンアップができない

イラレのv23.0を使っていたのですがv23.0.1のアップデート通知が来たので試すと「インストール失敗」となりました(Windows10)。
エラー内容は下記:

Exit Code: 145
————————————– Summary ————————————–
– 2 fatal error(s), 0 error(s), 2 warnings(s)

FATAL: Error (Code = 145) executing in command ‘MoveDirectoryCommand’ for package: ‘AdobeIllustrator23-Core’, version:23.0.1.540
FATAL: Error occurred in install of package (Name: AdobeIllustrator23-Core Version: 23.0.1.540). Error code: ‘145’
WARN: target folder ‘C:\Program Files\Adobe\Adobe Illustrator CC 2019\Presets’ does not exist, treating package ‘AdobeIllustrator23-Settings’ as uninstalled
WARN: Target directory already exists: ‘C:\Program Files\Adobe\Adobe Illustrator CC 2019\Support Files\Required\CEP\extensions’
————————————————————————————-

FATALエラーが二つも出ています。

とりあえず参考になりそうなページを見つけたのでこちらを参考に進めました。
https://kotaroishii.com/adobe-update

結果はなんとダメでした。

仕方ないので使っていたバージョン(v23.0)をまっさらな状態から再インストールすることにします。
するとなんとそれすら失敗しました。マジかAdobe!!!
さっきの作業でAdobeソフトを全削除してしまったのでちょっとシャレにならない….

しかし、Creative Cloudでは過去にさかのぼってさらに古いバージョンもインストール可能です。
さらに古いv22.1をインストールしてみます。

すると成功でした。

ああ、本当に良かった。
バージョンは古くなってしまいましたが先週作ったaiが開けるので良しとします。
ほんと泣きそうになりました。

Adobe系ソフトは職場では怖いので極力アップデートしないのですが(DTP経験者の悲しいサガですね…)、自宅では積極的に新しいバージョンにしています。
便利な機能は早く知っておきたいですし、Web系の仕事だと常に最新でも特に問題ありませんから。
世間よりも知識が古いのが怖いというのもあります。

しかし今回は参りました。
ちょっとショックがでかいので当面アップデートはしません!!